﻿:root {
  --sg-color1: #3c4757;
  --sg-color2: #5b6b83;
}

body {
  background-color: #d6d6d6;
  overflow-x: hidden;
  overflow-y: scroll;
}
.body-background-color {
    background-color: #e7e7e7;
}

/* Colorize Scrollbar on Home Page */
  body.home-page::-webkit-scrollbar {
    background: #2d394b;
  }

  body.home-page::-webkit-scrollbar-thumb {
    background: #74839a;
  }

nav.bg-color {
  background-color: #3c4757;
  transition: all .3s ease-in-out;
}

nav.bg-color-dev {
  background-color: #9a0000 !important;
}

.home-grid-bkg-container {
    position: relative;
}

  .home-grid-bkg-container .bkg {
      position: absolute;
      z-index: 0;
      width: 100%;
      height: 825px;
      left: 0;
      background-position: 50% 0;
      background-repeat: repeat-x;
      opacity: 0.01;
  }

/* xs */
.home-grid-bkg-container .bkg.apply {
    opacity: 0.5;
    transition: opacity 1000ms linear;
    background-image: url("/images/bg-grid-xs.webp");
    background-size: 582px 825px;
}

/* sm */
@media screen and (min-width: 576px) {
    .home-grid-bkg-container .bkg.apply {
        background-image: url("/images/bg-grid-sm.webp");
        background-size: 772px 825px;
    }
}

/* md */
@media screen and (min-width: 768px) {
    .home-grid-bkg-container .bkg.apply {
        background-image: url("/images/bg-grid-md.webp");
        background-size: 976px 825px;
    }
}

/* lg */
@media screen and (min-width: 992px) {
    .home-grid-bkg-container .bkg.apply {
        background-image: url("/images/bg-grid-lg.webp");
        background-size: 1200px 825px;
    }
}

/* xl */
@media screen and (min-width: 1200px) {
    .home-grid-bkg-container .bkg.apply {
        background-image: url("/images/bg-grid-xl.webp");
        background-size: 1456px 825px;
    }
}

/* xxl */
@media screen and (min-width: 1400px) {
    .home-grid-bkg-container .bkg.apply {
        background-image: url("/images/bg-grid-xxl.webp");
        background-size: 3974px 825px;
    }
}

body.home-page {
    background-color: #3c4757;
}

body.home-page #page-container {
    background-color: var(--sg-color1);
}

body #page-container {
  background-color: #e7e7e7;
}

html.full-height-mode {
  height: 100%;
}

  html.full-height-mode body {
    height: 100%;
    margin: 0;
  }

  html.full-height-mode #page-container {
    display: flex;
    flex-direction: column;
    height: 100%;
    min-width: 0;
  }

  html.full-height-mode #page-nav {
    /*flex: 0 1 auto;*/
  }

  html.full-height-mode #page-content {
    flex-grow: 1;
    min-height: 0;
    height: 100%;
    display: flex;
  }

  html.full-height-mode.row-layout #page-content {
    flex-direction: row;
  }

  html.full-height-mode.column-layout #page-content {
    flex-direction: column;
  }

.scroll-offset-header {
    scroll-margin-top: 60px;
}

.purchaseNotes {
  font-size: 1.25em;
  color: #ce1313;
}

nav .dropdown:hover > .dropdown-menu {
  display: block;
}

nav .dropdown-item:hover > .dropdown-menu {
  background-color: rgba(255, 255, 255, 0.75);
  display: block;
}

nav .dropdown > .dropdown-toggle:active {
  pointer-events: none;
}

nav .dropdown-menu {
  margin-top: 0;
  background-color: #3c4757;
  background-color: #3c4757aa;
  backdrop-filter: blur(20px);
  border-radius: 0 0;
  border: 1px solid #5b6b83;
  filter: drop-shadow(15px 15px 15px rgba(0, 0, 0, 0.5));
}

nav .dropdown-item {
  color: white;
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

nav.auth .dropdown-item {
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
}

h1.smaller {
    font-size: 26px;
}

h2.smaller {
    font-size: 20px;
}

h3.smaller {
    font-size: 18px;
}

h4.smaller {
    font-size: 16px;
}

h5.smaller {
    font-size: 14px;
}

h6.smaller {
    font-size: 12px;
}


footer.main {
  background-color: #d6d6d6;
}

/* https://codepen.io/chriscoyier/pen/GBbOJd */
pre.terminal {
  position: relative;
  background-color: #222;
  margin: 1rem 0;
  overflow: hidden;
  padding: 1.5rem;
  color: white;
  font: 1rem Consolas, Inconsolata, monospace;
  text-shadow: 0 0 5px #C8C8C8;
}

  pre.terminal::after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: repeating-linear-gradient(0deg, rgba(0, 0, 0, 0.15), rgba(0, 0, 0, 0.15) 1px, transparent 1px, transparent 2px);
    pointer-events: none;
  }

/* MAJORRELEASECHECK - add a new color whenever a new product is released */
.bg-win {
  background-color: #5988dd !important;
}

.bg-eng {
  background-color: #9f0600 !important;
}

.bg-net {
  background-color: #032874 !important;
}

.bg-bnd {
  background-color: #e57001 !important;
}

.bg-oem {
  background-color: #000000 !important;
}

.bg-slv {
  background-color: #383838 !important;
}

button.sg-btn,
a.sg-btn {
  display: inline-block;
  padding: 3px 20px 3px 20px;
  /*margin: 3px;*/
  font-size: 12pt;
  background-color: #656565;
  border-bottom-color: #505050;
  border-bottom-width: 3px;
  border-bottom-style: solid;
  border-top: 0px;
  border-right: 0px;
  border-left: 0px;
  text-align: center;
  cursor: pointer;
  color: #eee !important;
  text-decoration: none;
  border-radius: 3px 3px;
}

  button.sg-btn.disabled, a.sg-btn.disabled,
  button.sg-btn[disabled], a.sg-btn[disabled] {
    background-color: #adadad !important;
    border-bottom-color: #979797 !important;
    cursor: default;
  }

  button.sg-btn:visited, a.sg-btn:visited {
    color: #eeeeee !important;
  }

  button.sg-btn:hover, a.sg-btn:hover {
    background-color: #7d7d7d;
    border-bottom-color: #c0c0c0;
    color: #fff !important;
  }

  button.sg-btn:active, a.sg-btn:active, button.sg-btn.sim-active, a.sg-btn.sim-active {
    color: #fdffd4 !important;
    position: relative;
    top: 1px;
  }

  button.sg-btn.sg-btn-small, a.sg-btn.sg-btn-small {
    font-size: 9pt;
    padding: 2px 15px 2px 15px;
    margin: 2px;
    border-bottom-width: 2px;
  }

  button.sg-btn.sg-btn-large, a.sg-btn.sg-btn-large {
    font-size: 18pt;
    padding: 12px 20px 10px 20px;
    border-bottom-width: 4px;
  }

  button.sg-btn.sg-btn-blue, a.sg-btn.sg-btn-blue {
    background-color: #4c607c;
    border-bottom-color: #3c4757;
  }

    button.sg-btn.sg-btn-blue:hover, a.sg-btn.sg-btn-blue:hover {
      background-color: #4c607c;
      border-bottom-color: #5192f3;
    }

  button.sg-btn.sg-btn-green, a.sg-btn.sg-btn-green {
      background-color: #006e05;
      border-bottom-color: #004d03;
  }

    button.sg-btn.sg-btn-green:hover, a.sg-btn.sg-btn-green:hover {
        background-color: #006e05;
        border-bottom-color: #00dc09;
    }

  button.sg-btn.sg-btn-red, a.sg-btn.sg-btn-red {
    background-color: #9c1818;
    border-bottom-color: #791313;
  }

    button.sg-btn.sg-btn-red:hover, a.sg-btn.sg-btn-red:hover {
      background-color: #ac2121;
      border-bottom-color: #fc0202;
    }

  button.sg-btn.sg-btn-purple, a.sg-btn.sg-btn-purple {
    background-color: #6c3e77;
    border-bottom-color: #3c2042;
  }

    button.sg-btn.sg-btn-purple:hover, a.sg-btn.sg-btn-purple:hover {
        background-color: #6c3e77;
        border-bottom-color: #d992ea;
    }

    

/* Custom red button for Bootstrap compatibility */
.btn.sg-red,
.btn.sg-red:active, .btn.sg-red.active,
.btn.sg-red:focus, .btn.sg-red.focus {
    background-color: #ac2121 !important;
    border-color: #ac2121 !important;
    color: #fff !important;
}

    .btn.sg-red:hover, .btn.sg-red.hover,
    .btn.sg-red:active:hover, .btn.sg-red.active.hover {
        background-color: #911b1b !important;
        border-color: #911b1b !important;
        color: #fff !important;
    }

    .btn.sg-red.hover-darker,
    .btn.sg-red.active-darker.hover-darker {
        background-color: #611212 !important;
        border-color: #911b1b !important;
        color: #fff !important;
    }

    .btn-check:checked + .btn.sg-red, .btn-check.checked + .btn.sg-red,
    .btn-check:active + .btn.sg-red, .btn-check.active + .btn.sg-red,
    .btn.sg-red:active,
    .btn.sg-red.active,
    .show > .btn.sg-red.dropdown-toggle {
        background-color: #7a1616 !important;
        border-color: #7a1616 !important;
        color: #fff !important;
    }

    .btn.sg-red.disabled,
    .btn.sg-red:disabled {
        background-color: #d3a3a3 !important;
        border-color: #d3a3a3 !important;
        color: #fff !important;
        opacity: 0.65;
    }

.grow-sm, .grow-md, .grow-lg {
  transition: all .2s ease-in-out;
}

  .grow-sm:hover {
    transform: scale(1.05);
  }

  .grow-md:hover {
    transform: scale(1.15);
  }

  .grow-lg:hover {
    transform: scale(1.25);
  }


.hover-glow:hover {
  filter: drop-shadow(0 0 2px rgba(255, 255, 255, 0.5));
  transition: all .2s ease-in-out;
}

.hover-glow {
  transition: all .2s ease-in-out;
}

.glow {
  filter: drop-shadow(0 0 2px rgba(255, 255, 255, 0.5));
}

.btn-mini {
  padding: 2px 6px !important;
  font-size: 11px !important;
  line-height: 14px !important;
}

.input-validation-error {
  border: 1px solid #ce1313 !important;
}
.field-validation-error, .label-validation-error, .validation-message {
  color: #ce1313;
  font-size: 10pt;
}

.disabled {
  font-style: italic;
  color: rgba(0, 0, 0, 0.75);
}
label, .label {
  font-weight: 500;
  /*font-size: 90%;*/
}

input[type=number],
input.currency,
input.number-value,
td.currency {
  text-align:right;
}

.no-input-box {
  background-color: transparent !important;
  border: 0 !important;
  font-size: 1em !important;
}

.mb-O {
  position: absolute;
  left: -99999px;
}

.bgColor1 {
    background-color: #ecf2f7;
}

.bgColor2 {
  background-color: #d8e0e6;
}

.sgColorDark {
  background-color: #3c4757;
}

.offices-open {
  color: #e2e2e2;
}

.offices-closed {
  color: #9c1818;
}

.text-orangered {
  color: orangered;
}

/* Example use-case: text-warning can blend into darker backgrounds, use this to make it pop out a bit more */
.text-shadow {
    text-shadow: 0.5px 0.5px 1px #000000;
}

.bg-shadow-hard {
    filter: drop-shadow(1px 1px 0px rgba(0, 0, 0, 0.5));
}

.text-underline-warning {
  text-decoration-line: underline;
  text-decoration-thickness: 2px;
  text-decoration-style: dotted;
  text-decoration-color: #ea1919;
}

.text-underline-primary {
  text-decoration-line: underline;
  text-decoration-thickness: 2px;
  text-decoration-style: dotted;
  text-decoration-color: #0d6efd;
}

.text-underline-success {
  text-decoration-line: underline;
  text-decoration-thickness: 2px;
  text-decoration-style: dotted;
  text-decoration-color: #008145;
}

.bg-white {
  background-color: white;
}

.bg-lighter-05 {
  background-color: rgba(255, 255, 255, 0.05);
}

.bg-lighter-10 {
  background-color: rgba(255, 255, 255, 0.10);
}

.bg-lighter-25 {
  background-color: rgba(255, 255, 255, 0.25);
}

.bg-lighter-40 {
  background-color: rgba(255, 255, 255, 0.40);
}

.bg-lighter-50 {
  background-color: rgba(255, 255, 255, 0.50);
}

.bg-lighter-75 {
  background-color: rgba(255, 255, 255, 0.75);
}

.bg-darker-05 {
  background-color: rgba(0, 0, 0, 0.05);
}

.bg-darker-10 {
  background-color: rgba(0, 0, 0, 0.10);
}

.bg-darker-25 {
  background-color: rgba(0, 0, 0, 0.25);
}

.bg-darker-40 {
  background-color: rgba(0, 0, 0, 0.40);
}

.bg-darker-50 {
  background-color: rgba(0, 0, 0, 0.50);
}

.bg-darker-75 {
  background-color: rgba(0, 0, 0, 0.75);
}

tr.table-row-darker-10 td,
tr.table-row-darker-10 th {
    background-color: rgba(0, 0, 0, 0.10);
}

.hover {
  background-color: #fdffd4;
}

.strikethrough {
  text-decoration: line-through;
}

.link {
  cursor: pointer;
  color: #007bff !important;
  text-decoration: none;
}
.link.darker {
    color: #0861bf !important;
}
.link:hover {
  text-decoration: underline;
}

.highlight {
  background-color: #fdffd4 !important;
}

.relatedDataPrevious {
  background-color: #ffe9d8 !important;
}

.relatedDataNext {
  background-color: #e0ffd8 !important;
}

.danger-bkg {
  background-color: #ffd3d3 !important;
}

.success-bkg {
  background-color: #ccf7cb !important;
}

.text-underline {
  text-decoration: underline;
}

.text-no-decoration {
  text-decoration: none;
}

.no-titlebar .ui-dialog-titlebar {
  display: none;
}

#page-overlay {
  position: fixed;
  display: none;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  padding: 2vmin;
  background-color: rgba(0,0,0,0.7);
  z-index: 2000;
  cursor: pointer;
}

#page-overlay .content {
  position: absolute;
  top: 50%;
  left: 50%;
  color: white;
  min-width: 32px;
  min-height: 32px;
  transform: translate(-50%,-50%);
}
.loading {
  background: transparent url('/images/loading.svg') center no-repeat;
}

/* Home Page */
.bg-color1-home {
  background-color: #3c4757;
  background-color: var(--sg-color1);
}

.bg-color2-home {
  background-color: #d6d6d6;
}

.bg-color-sg-red {
  background-color: #9c1818;
}

.bg-color-sg-blue {
  background-color: #4c607c;
}

#primary-features {
  max-width: 1100px;
}

#primary-features {
  max-width: 1100px;
  margin: auto;
}

    #primary-features .feature-img {
        height: 65px;
        width: auto;
        padding-top: 5px;
        margin-bottom: 5px;
        margin-right: auto;
        margin-left: auto;
        filter: invert(100%);
    }

:root {
  --cell-padding-top: 0px;
  --cell-padding-lg: 120px;
  --cell-padding-sm: 40px;
  --cell-border-color: var(--sg-color2);
  --cell-background-color: #ddd;
  --cell-border-line-width-lg: 27px;
  --cell-border-line-width-sm: 25px;
  --fill-handle-size-lg: 50px;
  --fill-handle-size-sm: 40px;
  --fill-handle-margin: 10px;
  --fill-handle-offset-lg: calc(-1 * (var(--fill-handle-size-lg) / 2 - var(--cell-border-line-width-lg) / 2));
  --fill-handle-offset-sm: calc(-1 * (var(--fill-handle-size-sm) / 2 - var(--cell-border-line-width-sm) / 2));
}

#top-fold-text {
  font-size: 20pt;
}

nav .dropdown-toggle::after {
  margin-left: 0;
}

/* xs-sm breakpoint */
@media screen and (max-width:767px) {
  #sg-banner {
  }

  #main-sg-text {
    width: 80%;
    max-width: 1400px;
    margin-bottom: 20px;
  }

  #alt-title {
    display: block;
  }

  div.cell-border-padding {
    width: 100%;
  }

  div.cell-border-container {
    width: 100%;
  }

  div.cell-border {
    text-align: center;
  }

  div.fill-handle {
  }

  div.cell-contents {
    text-align: center;
    vertical-align: middle;
  }

  #top-fold-text {
    font-size: 15pt;
  }
}

/* md breakpoint */
@media screen and (min-width: 768px) and (max-width: 991px) {
  nav .nav-top-level {
    font-size: 0.95em;
  }

  nav .dropdown-toggle::after {
    display: none;
  }

  #sg-banner {
    height: 550px;
  }

  #main-sg-text {
    width: 90%;
    max-width: 1400px;
    margin-top: 40px;
  }

  #alt-title {
    display: none;
  }

  div.cell-border-padding {
    position: relative;
    box-sizing: border-box;
    padding: var(--cell-padding-top) 0 var(--cell-padding-sm) 0;
    margin-bottom: 50px;
    width: 100%;
    height: 100%;
  }

  div.cell-border-container {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    filter: drop-shadow(5px 15px 15px rgba(0, 0, 0, 0.5));
  }

  div.cell-border {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    border: var(--cell-border-line-width-sm) solid var(--cell-border-color);
    clip-path: polygon( 0 0, 100% 0, 100% calc(100% - var(--fill-handle-size-sm) - var(--fill-handle-margin)), calc(100% - var(--fill-handle-size-sm) - var(--fill-handle-margin)) calc(100% - var(--fill-handle-size-sm) - var(--fill-handle-margin)), calc(100% - var(--fill-handle-size-sm) - var(--fill-handle-margin)) 100%, 0 100%);
    text-align: center;
  }

  div.fill-handle {
    position: absolute;
    right: var(--fill-handle-offset-sm);
    bottom: var(--fill-handle-offset-sm);
    background-color: var(--cell-border-color);
    width: var(--fill-handle-size-sm);
    height: var(--fill-handle-size-sm);
  }

  div.cell-contents {
    position: absolute;
    box-sizing: border-box;
    top: 0;
    top: calc(var(--cell-padding-top) + var(--cell-border-line-width-sm));
    left: 0;
    left: calc(var(--cell-padding-sm) + var(--cell-border-line-width-sm));
    width: 100%;
    width: calc(100% - var(--cell-padding-sm) * 2 - var(--cell-border-line-width-sm) * 2);
    height: 100%;
    height: calc(100% - var(--cell-padding-sm) * 2 - var(--cell-border-line-width-sm) * 2);
    padding: 10px;
    text-align: center;
    vertical-align: middle;
  }

  #top-fold-text {
    font-size: 17pt;
  }
}

/* lg breakpoint */
@media screen and (min-width: 992px) and (max-width: 1199px) {
  nav .nav-top-level {
    font-size: 0.94em;
  }

  .nav-extras {
    font-size: 0.85em;
  }

  #sg-banner {
    height: 530px;
  }

  #main-sg-text {
    width: 80%;
    max-width: 900px;
    margin-top: 20px;
    /*margin-top: calc(max(35px, 120px - 4.0vw));*/
  }

  #alt-title {
    display: none;
  }

  div.cell-border-padding {
    position: relative;
    box-sizing: border-box;
    padding: var(--cell-padding-top) 0 calc(var(--cell-padding-lg) / 3) 0;
    margin: 0 auto 0 auto;
    width: 100%;
    max-width: 1320px;
    height: 100%;
  }

  div.cell-border-container {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    filter: drop-shadow(10px 35px 35px rgba(0, 0, 0, 0.5));
  }

  div.cell-border {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    border: var(--cell-border-line-width-lg) solid var(--cell-border-color);
    clip-path: polygon( 0 0, 100% 0, 100% calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)), calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)) calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)), calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)) 100%, 0 100%);
    text-align: center;
  }

  div.fill-handle {
    position: absolute;
    right: var(--fill-handle-offset-lg);
    bottom: var(--fill-handle-offset-lg);
    background-color: var(--cell-border-color);
    width: var(--fill-handle-size-lg);
    height: var(--fill-handle-size-lg);
  }

  div.cell-contents {
    position: absolute;
    box-sizing: border-box;
    top: 0;
    top: calc(var(--cell-padding-top) + var(--cell-border-line-width-lg));
    left: 0;
    left: calc(var(--cell-padding-lg) + var(--cell-border-line-width-lg));
    width: 100%;
    width: calc(100% - var(--cell-padding-lg) * 2 - var(--cell-border-line-width-lg) * 2);
    height: 100%;
    height: calc(100% - var(--cell-padding-lg) * 2 - var(--cell-border-line-width-lg) * 2);
    padding: 10px;
    text-align: center;
    vertical-align: middle;
  }

  #top-fold-text {
    font-size: 18pt;
  }
}

/* xl+ breakpoint */
@media screen and (min-width: 1200px) {
  nav .nav-top-level {
    font-size: 0.95em;
  }

  .nav-extras {
    font-size: 0.90em;
  }

  #sg-banner {
    height: 500px;
  }

  #main-sg-text {
    width: 80%;
    max-width: 900px;
    margin-top: 20px;
  }

  #alt-title {
    display: none;
  }

  div.cell-border-padding {
    position: relative;
    box-sizing: border-box;
    padding: var(--cell-padding-top) 0 calc(var(--cell-padding-lg) / 3) 0;
    margin: 0 auto 0 auto;
    width: 100%;
    height: 100%;
  }

  div.cell-border-container {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    filter: drop-shadow(10px 35px 35px rgba(0, 0, 0, 0.5));
  }

  div.cell-border {
    position: relative;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    border: var(--cell-border-line-width-lg) solid var(--cell-border-color);
    clip-path: polygon( 0 0, 100% 0, 100% calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)), calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)) calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)), calc(100% - var(--fill-handle-size-lg) - var(--fill-handle-margin)) 100%, 0 100%);
    text-align: center;
  }

  div.fill-handle {
    position: absolute;
    right: var(--fill-handle-offset-lg);
    bottom: var(--fill-handle-offset-lg);
    background-color: var(--cell-border-color);
    width: var(--fill-handle-size-lg);
    height: var(--fill-handle-size-lg);
  }

  div.cell-contents {
    position: absolute;
    box-sizing: border-box;
    top: 0;
    top: calc(var(--cell-padding-top) + var(--cell-border-line-width-lg));
    left: 0;
    left: calc(var(--cell-padding-lg) + var(--cell-border-line-width-lg));
    width: 100%;
    width: calc(100% - var(--cell-padding-lg) * 2 - var(--cell-border-line-width-lg) * 2);
    height: 100%;
    height: calc(100% - var(--cell-padding-lg) * 2 - var(--cell-border-line-width-lg) * 2);
    padding: 10px;
    text-align: center;
    vertical-align: middle;
  }

  #top-fold-text {
    font-size: 18pt;
  }
}

/* xxl+ breakpoint */
@media screen and (min-width: 1400px) {
  #sg-banner {
    height: 480px;
  }

  #top-fold-text {
    font-size: 20pt;
  }
}

section.getting-started {

}

    section.getting-started h3 {
        margin-bottom: 0;
    }

section.getting-started samples-item {
}

    section.getting-started .samples-item h4 {
        margin-bottom: 0.25rem;
    }

    section.getting-started .samples-item div.icon {
        font-size: 2em;
        width: 45pt;
        text-align: center;
        color: black;
    }

        section.getting-started .samples-item div.icon a img {
            width: 35pt;
            max-width: 35pt;
            max-height: 35pt;
            color: black;
        }

    section.getting-started .samples-item .label {
        font-size: 15pt;
        font-weight: bold;
        color: black;
    }

        section.getting-started .samples-item .label a {
            color: black;
            color: black;
        }

    section.getting-started .samples-item .desc {
        font-size: 10pt;
        color: black;
        margin-bottom: 0;
    }


#home-page-quotes .carousel-cell {
  width: 300px;
  margin-right: 10px;
}

#home-page-quotes .quote-details {
  color: white;
}

  #home-page-quotes .quote-details a:link, .quote-details a:visited {
    color: white;
  }

  #home-page-quotes .quote-details a:hover, .quote-details a:active {
    color: #cce1ff;
  }

#home-page-quotes .flickity-prev-next-button.previous {
  left: -50px;
}

#home-page-quotes .flickity-prev-next-button.next {
  right: 10px;
}

/* End Home Page styles */



/* Scale image 50% of its native size. */
img.scaled100 {
    --scale: 1.0;
    transform: scale(var(--scale));
    transform-origin: center center;
    /* Key idea: Cap the pre-transform layout size so that (layout size * scale) <= viewport size in both axes */
    max-width: calc((100vw - 2 * 2vmin) / var(--scale)); /* 100vw / .5 = 200vw */
    max-height: calc((100vh - 2 * 2vmin) / var(--scale)); /* 100vh / .5 = 200vh */
    width: auto;
    height: auto;
}
img.scaled50 {
    --scale: .5;
    transform: scale(var(--scale));
    transform-origin: center center;
    /* Key idea: Cap the pre-transform layout size so that (layout size * scale) <= viewport size in both axes */
    max-width: calc((100vw - 2 * 2vmin) / var(--scale)); /* 100vw / .5 = 200vw */
    max-height: calc((100vh - 2 * 2vmin) / var(--scale)); /* 100vh / .5 = 200vh */
    width: auto;
    height: auto;
}
img.scaled33 {
    --scale: .33;
    transform: scale(var(--scale));
    transform-origin: center center;
    max-width: calc((100vw - 2 * 2vmin) / var(--scale));
    max-height: calc((100vh - 2 * 2vmin) / var(--scale));
    width: auto;
    height: auto;
}
img.scaled25 {
    --scale: .25;
    transform: scale(var(--scale));
    transform-origin: center center;
    max-width: calc((100vw - 2 * 2vmin) / var(--scale));
    max-height: calc((100vh - 2 * 2vmin) / var(--scale));
    width: auto;
    height: auto;
}

/* Speech Bubble */
.speech-bubble {
    color: white;
    position: relative;
    padding: 15px;
    background-color: var(--sg-color2);
    border-radius: 15px;
    background: var(--sg-color2);
    border-radius: .4em;
    filter: drop-shadow(5px 5px 10px rgba(0, 0, 0, 0.5));
}

    .speech-bubble:after {
        content: '';
        position: absolute;
        bottom: 0;
        left: 15%;
        width: 0;
        height: 0;
        border: 43px solid transparent;
        border-top-color: var(--sg-color2);
        border-bottom: 0;
        border-left: 0;
        margin-left: -21.5px;
        margin-bottom: -43px;
    }

    .speech-bubble a:link, .speech-bubble a:visited {
        color: white;
        text-decoration: underline;
    }

    .speech-bubble a:hover, .speech-bubble a:active {
        color: #cce1ff;
        text-decoration: underline;
    }

.quote-details {
    color: black;
    font-weight: bold;
    margin-top: 50px;
}

    .quote-details a:link, .quote-details a:visited {
        color: black;
        text-decoration: underline;
    }

    .quote-details a:hover, .quote-details a:active {
        color: #cce1ff;
        text-decoration: underline;
    }

/* Sortable.js */
.sortable-ghost {
  opacity: 0.4;
}

/* Animations */
.ani-fade-in {
  opacity: 0;
  animation: fadein 1000ms forwards;
}

@keyframes fadein {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.ani-fade-in-delay-1 {
  animation-delay: 0ms;
}

.ani-fade-in-delay-100 {
  animation-delay: 100ms;
}

.ani-fade-in-delay-200 {
  animation-delay: 200ms;
}

.ani-fade-in-delay-300 {
  animation-delay: 300ms;
}

.ani-fade-in-delay-400 {
  animation-delay: 400ms;
}

.ani-fade-in-delay-500 {
  animation-delay: 500ms;
}

.skeleton {
    background: linear-gradient(90deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.25), rgba(0, 0, 0, 0.1));
    animation: leftToRight 1.5s infinite reverse;
    background-size: 400%;
    border-radius: .3rem;
}

@keyframes leftToRight {
    0% {
        background-position: -100% 0;
    }

    100% {
        background-position: 100% 0;
    }
}

/* Bounce animation */
@keyframes bounce {
    0%, 100% {
        transform: translateY(0);
    }

    20% {
        transform: translateY(-20px);
    }

    40% {
        transform: translateY(0);
    }

    60% {
        transform: translateY(-10px);
    }

    80% {
        transform: translateY(0);
    }
}


/* Split.js styles */
.split {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  overflow-y: auto;
  overflow-x: hidden;
}

.gutter {
  background-color: #6c757d;
  background-repeat: no-repeat;
  background-position: 50%;
}

  .gutter.gutter-horizontal {
    cursor: col-resize;
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAeCAYAAADkftS9AAAAIklEQVQoU2M4c+bMfxAGAgYYmwGrIIiDjrELjpo5aiZeMwF+yNnOs5KSvgAAAABJRU5ErkJggg==');
  }

  .gutter.gutter-vertical {
    cursor: row-resize;
    background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAB4AAAAFAQMAAABo7865AAAABlBMVEVHcEzMzMzyAv2sAAAAAXRSTlMAQObYZgAAABBJREFUeF5jOAMEEAIEEFwAn3kMwcB6I2AAAAAASUVORK5CYII=');
  }

  .split.split-horizontal, .gutter.gutter-horizontal {
    height: 100%;
    float: left;
  }

.grecaptcha-badge {
    visibility: hidden;
}

/* Bootstrap additions and mods */
code {
    font-family: "Cascadia Code",SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
    color: black;
}

.border-info {
  border-color: #4c607c !important;
}
.alert-info {
  background-color: #dee9f9 !important;
}

.force-d-none {
    display: none !important;
}


@media (min-width: 576px) {
  .position-sm-static {
        position: static !important;
    }

    .position-sm-relative {
        position: relative !important;
    }

    .position-sm-absolute {
        position: absolute !important;
    }

    .position-sm-fixed {
        position: fixed !important;
    }

    .position-sm-sticky {
        position: sticky !important;
    }
}

@media (min-width: 768px) {
    .position-md-static {
        position: static !important;
    }

    .position-md-relative {
        position: relative !important;
    }

    .position-md-absolute {
        position: absolute !important;
    }

    .position-md-fixed {
        position: fixed !important;
    }

    .position-md-sticky {
        position: sticky !important;
    }
}

@media (min-width: 992px) {
    .position-lg-static {
        position: static !important;
    }

    .position-lg-relative {
        position: relative !important;
    }

    .position-lg-absolute {
        position: absolute !important;
    }

    .position-lg-fixed {
        position: fixed !important;
    }

    .position-lg-sticky {
        position: sticky !important;
    }
}

@media (min-width: 1200px) {
    .position-xl-static {
        position: static !important;
    }

    .position-xl-relative {
        position: relative !important;
    }

    .position-xl-absolute {
        position: absolute !important;
    }

    .position-xl-fixed {
        position: fixed !important;
    }

    .position-xl-sticky {
        position: sticky !important;
    }
}

/* Base (xs) */
.fs-xs-1 {
    font-size: calc(1.5rem + 1.5vw);
}

.fs-xs-2 {
    font-size: calc(1.4rem + 1.2vw);
}

.fs-xs-3 {
    font-size: calc(1.3rem + 1vw);
}

.fs-xs-4 {
    font-size: calc(1.2rem + 0.8vw);
}

.fs-xs-5 {
    font-size: calc(1.1rem + 0.6vw);
}

.fs-xs-6 {
    font-size: 1rem;
}

/* Small (sm) */
@media (min-width: 576px) {
    .fs-sm-1 {
        font-size: 2.5rem;
    }

    .fs-sm-2 {
        font-size: 2rem;
    }

    .fs-sm-3 {
        font-size: 1.75rem;
    }

    .fs-sm-4 {
        font-size: 1.5rem;
    }

    .fs-sm-5 {
        font-size: 1.25rem;
    }

    .fs-sm-6 {
        font-size: 1rem;
    }
}

/* Medium (md) */
@media (min-width: 768px) {
    .fs-md-1 {
        font-size: 3rem;
    }

    .fs-md-2 {
        font-size: 2.5rem;
    }

    .fs-md-3 {
        font-size: 2rem;
    }

    .fs-md-4 {
        font-size: 1.5rem;
    }

    .fs-md-5 {
        font-size: 1.25rem;
    }

    .fs-md-6 {
        font-size: 1rem;
    }
}

/* Large (lg) */
@media (min-width: 992px) {
    .fs-lg-1 {
        font-size: 3.5rem;
    }

    .fs-lg-2 {
        font-size: 3rem;
    }

    .fs-lg-3 {
        font-size: 2.5rem;
    }

    .fs-lg-4 {
        font-size: 2rem;
    }

    .fs-lg-5 {
        font-size: 1.5rem;
    }

    .fs-lg-6 {
        font-size: 1.25rem;
    }
}

/* Extra Large (xl) */
@media (min-width: 1200px) {
    .fs-xl-1 {
        font-size: 4rem;
    }

    .fs-xl-2 {
        font-size: 3.5rem;
    }

    .fs-xl-3 {
        font-size: 3rem;
    }

    .fs-xl-4 {
        font-size: 2.5rem;
    }

    .fs-xl-5 {
        font-size: 2rem;
    }

    .fs-xl-6 {
        font-size: 1.5rem;
    }
}

/* Extra Extra Large (xxl) */
@media (min-width: 1400px) {
    .fs-xxl-1 {
        font-size: 4.5rem;
    }

    .fs-xxl-2 {
        font-size: 4rem;
    }

    .fs-xxl-3 {
        font-size: 3.5rem;
    }

    .fs-xxl-4 {
        font-size: 3rem;
    }

    .fs-xxl-5 {
        font-size: 2.5rem;
    }

    .fs-xxl-6 {
        font-size: 2rem;
    }
}

/* NOTE: add these to a "data-bs-custom-class" attribute to the same element as where the tooltip or popover is, i.e., <...data-bs-toggle="tooltip" data-bs-custom-class="tooltip-lg"  ...> */
.tooltip.tooltip-md > .tooltip-inner {
    max-width: 300px;
    width: 300px;
}
.tooltip.tooltip-lg > .tooltip-inner {
  max-width: 400px;
  width: 400px;
}
.tooltip.tooltip-xl > .tooltip-inner {
  max-width: 800px;
  width: 800px;
}
.popover.popover-no-max-width {
  max-width: none !important;
}

.tooltip-text-left > .tooltip-inner {
    text-align: left;
}

li.nav-item .nav-link.active {
  font-weight: bold;
}

/* This class exists due to a bug / known issue with disabled buttons and tooltips.  A disabled element cannot display a tooltip, so the normal workaround is to wrap it in another element which has the tooltip attributes.  However, this does not work for a wrapper and button.  Apply this class to the wrapper when it contains a disabled button to work around this issue.  See also:
    https://stackoverflow.com/questions/43651179/bootstrap-tooltip-on-disabled-button-workaround
*/
.tooltip-wrapper button[disabled] {
  pointer-events: none;
}
.navbar-dark .navbar-nav .nav-link {
  color: rgba(255, 255, 255, .75);
}
.navbar-dark .navbar-nav .nav-link:hover {
  color: rgba(255, 255, 255, 1);
}

.nav-tabs .nav-link {
  background-color: #f3f3f3;
}

.nav-tabs .nav-item {
  margin-right: 0.25rem !important;
}

.btn-group-xs > .btn, .btn.btn-xs {
  padding: .25rem .4rem;
  font-size: .875rem;
  line-height: .5;
  border-radius: .2rem;
}

.bg-medium-light {
  background-color: #e9e9e9 !important;
}

.bg-secondary a {
  color: #dfebff;
}

a.dark-link {
  color: #12569f;
}
a.dark-link:hover {
  color: #539eee;
}

.text-smaller {
  font-size: 0.8em;
}

.text-larger {
  font-size: 1.2em;
}

.table-dark,
.table-dark th,
.table-dark td {
  background-color: #3c4757 !important;
}

.alert-info {
  background-color: #d4e5ff;
  border-color: #b1c0d8;
}

.cursor-pointer {
  cursor: pointer;
}

.cursor-default {
    cursor: default;
}

.cursor-search {
    cursor: url("/images/magnifying-glass.png") 11 8, auto;
}

.form-control-feedback{
  font-size: 80%;
}

.form-control-xs,
.form-select-xs {
  font-size: 0.75rem;
  padding: 0.14rem .4rem;
  height: calc(1.5em + 0.3rem + 1px);
}

.table-striped tbody tr.highlight td,
.table-striped tbody tr td.highlight {
  background-color: #fdffd4 !important;
}

.table-striped tbody tr.highlightWarning td,
.table-striped tbody tr td.highlightWarning {
  background-color: #ffdcb3 !important;
}

.table-striped tbody tr.highlightDanger td,
.table-striped tbody tr td.highlightDanger {
  background-color: #ffc9c9 !important;
}

.table-striped tbody tr.highlightInfo td,
.table-striped tbody tr td.highlightInfo {
  background-color: #c9dbff !important;
}

.dropdown-submenu {
  position: relative;
}

footer.main-layout a {
  color: black;
}

.contact-info-table tr th {
  padding-left: 10px; 
}

/* Hovering Inline Drop Down - used for Products Page */
div.iddh {
    position: relative;
    left: 5px;
    width: 10px;
    height: 10px;
    display: inline-block;
}

  div.iddh a {
    color: #ccdeff;
  }

  div.iddh i.icon {
    display: block;
    cursor: pointer;
    position: absolute;
    top: -5px;
    left: -2px;
  }

    div.iddh i.icon:after {
      content: '';
      position: absolute;
      top: -5px;
      bottom: -5px;
      left: -5px;
      right: -5px;
    }

  div.iddh div.dd {
    font-size: 10pt;
    font-weight: normal;
    position: absolute;
    top: 10px;
    left: 12px;
    display: none;
    background-color: #444444;
    border-radius: 0.2rem;
    padding: 8px 25px 8px 8px;
    color: White;
    width: 350px;
    z-index: 100;
  }

    div.iddh div.dd i.close-popup {
      position: absolute;
      top: 10px;
      right: 10px;
      cursor: pointer;
    }

    div.iddh div.dd ul {
      padding-left: 20px;
      margin-top: 0px;
      margin-left: 0px;
    }

      div.iddh div.dd ul li {
        list-style-image: none;
      }


/* Code Snippet Explorer */
.code-snippet-explorer .edit-hint {
    position: absolute;
    top: -40px;
    left: 60px;
    display: flex;
    align-items: center;
    gap: 10px;
    transform: rotate(7deg);
    transform-origin: center;
    animation: bounceRotated 2s ease-out 2 forwards;
    z-index: 250;
}

@keyframes bounceRotated {
    0%, 100% {
        transform: rotate(7deg) translateY(0);
    }

    20% {
        transform: rotate(7deg) translateY(-20px);
    }

    40% {
        transform: rotate(7deg) translateY(0);
    }

    60% {
        transform: rotate(7deg) translateY(-10px);
    }

    80% {
        transform: rotate(7deg) translateY(0);
    }
    100% {
        transform: rotate(7deg) translateY(0); /* Ensure final state maintains rotation */
    }
}

.code-snippet-explorer .arrow-text {
    font-size: 1.4em;
    font-weight: bold;
}

.code-snippet-explorer ul.code-snippets-list {
    list-style: none;
    padding-left: 0;
}

    .code-snippet-explorer ul.code-snippets-list li {
        position: relative;
        padding-left: 14px;
    }

        .code-snippet-explorer ul.code-snippets-list li::before {
            content: '';
            position: absolute;
            left: 0;
            top: 3px;
            width: 10px;
            height: 16px;
            background-image: url('/images/fa-svgs/light/caret-right.svg');
            background-size: contain;
            background-repeat: no-repeat;
        }

        .code-snippet-explorer ul.code-snippets-list li.item-selected::before {
            background-image: url('/images/fa-svgs/solid/caret-right.svg');
        }

.code-snippet-explorer.is-compact .snippet-img {
    width: 500px;
}

.code-snippet-explorer.is-compact .loading-status {
    width: 100%;
    height: 250px;
}

.code-editor.loading-splash {
    --col-width: 68px;
    --row-height: 20px;
    --line-w: 1px;
    position: relative;
    background-color: white;
    background-image: repeating-linear-gradient(to right, #d9d9d9 0 var(--line-w), transparent var(--line-w) var(--col-width)), repeating-linear-gradient(to bottom, #d9d9d9 0 var(--line-w), transparent var(--line-w) var(--row-height));
    background-position: calc(-1 * var(--line-w)) calc(-1 * var(--line-w));
    background-repeat: repeat;
}

    .code-editor.loading-splash .cell-a1 {
        position: absolute;
        top: 0;
        left: 0;
        height: calc(var(--row-height) - (var(--line-w)));
        display: flex;
        align-items: flex-end;
        justify-content: center;
        padding: 3px 0 0 4px;
        font: 11pt Aptos, Calibri, Arial, sans-serif;
        cursor: default;
        background-color: white;
    }



/* xl */
@media (max-width: 1400px) {
    .main-container {
        width: 1056px;
    }

    .code-snippet-explorer.is-compact .snippet-img {
        margin-top: 5px;
    }

    .code-snippet-explorer.is-compact .loading-status {
        margin-top: 5px;
        height: 250px;
    }
}

/* lg */
@media (max-width: 1200px) {
    .main-container {
        width: 696px;
    }

    .code-snippet-explorer.is-compact .snippet-img {
        margin-top: 5px;
    }

    .code-snippet-explorer.is-compact .loading-status {
        margin-top: 5px;
        height: 250px;
    }
}

/* md */
@media (max-width: 992px) {
    .main-container {
        width: 456px;
    }

    .code-snippet-explorer.is-compact .snippet-img {
        margin-top: 5px;
        width: 440px;
    }

    .code-snippet-explorer.is-compact .loading-status {
        margin-top: 5px;
        height: 220px;
    }
}

/* sm */
@media (max-width: 768px) {
    .code-snippet-explorer.is-compact .snippet-img {
        margin-top: 5px;
        width: 500px;
    }

    .code-snippet-explorer.is-compact .loading-status {
        margin-top: 5px;
        height: 250px;
    }

    .code-snippet-explorer .code-snippet-item {
        font-size: 0.9em;
    }

    .code-snippet-explorer .edit-hint {
        left: 10px;
    }

    .code-snippet-explorer .arrow-text {
        font-size: 1.0em;
    }
}

/* xs */
@media (max-width: 576px) {
    .code-snippet-explorer .edit-hint {
        display: none;
    }

    .code-snippet-explorer.is-compact .snippet-img {
        margin-top: 5px;
        width: 100%;
    }

    .code-snippet-explorer.is-compact .loading-status {
        margin-top: 5px;
        width: 100%;
        aspect-ratio: 2/1;
        height: unset;
    }
}

/* Override default message */
code-input:not(.code-input_registered)::before {
    content: "Loading sample..." !important;
}

/* FontAwesome */
/* Prevent still-loading icons from shifting layout when the icons finally load. */
html.fa-events-icons-loading .fa-fw {
  display: inline-block;
  width: 1.28571429em;
}

  html.fa-events-icons-loading .fa-fw::before {
    content: "\00a0";
  }

.fa-placeholder {
  display: inline-block;
  width: 1.25em;
}

.fa-svg-icon {
  width: 1em;
  height: 1em;
  vertical-align: -.125em;
}

  .fa-svg-icon.white {
    filter: brightness(0) invert(1);
  }

  .fa-svg-icon.white-75 {
    filter: brightness(0) invert(1) opacity(0.75);
  }

/* Modify nav menu to suppor sub-menus */
.dropdown-submenu {
  position: relative;
}

  .dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-top: -1px;
  }


/* Prism.js */
code[class*="language-"],
pre[class*="language-"] {
  font-size:9.5pt;
  font-family: "Cascadia Code",Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace;
}

/* Select2 (select2-bootstrap4-theme) */
.select2-container--bootstrap4 {
  min-width: 250px;
}

/* Blazored 
.blazored-modal-container {
  position: fixed;
  left: 0;
  top: 0;
  z-index: 2020 !important;
  overflow-y: auto;
}
.bm-container {
  z-index: 2020 !important;
}

.blazored-modal-overlay {
  z-index: 2021 !important;
}

.blazored-modal-focus-trap {
  z-index: 2022 !important;
}

.blazored-modal {
  z-index: 2023 !important;
}*/

.blazored-typeahead {
  background-color: white;
}

/* History Pane */
.history-pane {
    flex-grow: 1;
    min-height: 0;
    display: flex;
    overflow: hidden;
}

    .history-pane.row-layout {
        flex-direction: row;
    }

    .history-pane.column-layout {
        flex-direction: column;
    }

.details-container {
    flex-grow: 1;
    min-height: 0;
    margin-left: 5px;
    display: flex;
    flex-direction: column;
}

.crm-details {
}

.history-items-table tbody tr {
    cursor: pointer;
}

.history-items {
    flex-grow: 1;
    min-height: 0;
    overflow-y: auto;
}

.preview-pane {
    flex-grow: 1;
    min-height: 0;
    overflow-y: auto;
    overflow-x: hidden;
    margin: 5px;
    display: flex;
    flex-direction: column;
}


/* CRM Lookup */
.sticky-bottom-center {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    z-index: 500;
}

div#crm-finder-box {
    width: 90%;
    max-width: 2000px;
    box-shadow: 0 0 2em rgb(0 0 0 / 50%);
}

#crm-finder-search-results {
    height: 70vh;
}

#search-results-lists-container {
    overflow-y: auto;
    overflow-x: hidden;
}

#crm-finder-collapsed-tag {
    position: fixed;
    display: inline-block;
    bottom: 0;
    left: 10px;
    width: 30px;
    text-align: center;
    cursor: pointer;
}